View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000823Ecere SDKide:debuggerpublic2013-04-24 04:242013-09-23 07:36
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.07 
Target Version0.44.09Fixed in Version0.44.09 
Summary0000823: Watch 64bit wackiness
DescriptionWatch 64bit wackiness
    data int 64 38588876
    data + 12 int64 38588888LL
    (void *) data void * 0x24CD1CC
    (void *)38588888LL void * 0x24CD1D8
    (void *)(data + 12) void * 0x1A34711
    (String *)((int)data + 12) String * 0x2DCD1D8
    (void *)(38588876 + 12) void * 0x24CD1D8
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001059)
jerome (administrator)
2013-09-10 18:51

This is no longer an issue.

(void *)(data + 12) void * 0x24CD1D8
(String *)((int)data + 12) String * 0x24CD1D8
(void *)(38588876 + 12) void * 0x24CD1D8

It was probably fixed among the numerous 64 bit fixes, or could have been a 32/64 bit IDE/app mix up.

- Issue History
Date Modified Username Field Change
2013-04-24 04:24 redj New Issue
2013-04-24 20:19 jerome Priority normal => immediate
2013-09-10 18:51 jerome Status new => resolved
2013-09-10 18:51 jerome Fixed in Version => 0.44.09
2013-09-10 18:51 jerome Resolution open => fixed
2013-09-10 18:51 jerome Assigned To => jerome
2013-09-10 18:51 jerome Note Added: 0001059
2013-09-10 18:51 jerome Target Version 0.44.21 125 => 0.44.09
2013-09-23 07:36 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker